Lc.ready({ appName: "repdocM", initialBundleName: "RepdocM_Core" })
    .then(function () {
    $(".firstPleaseWait").text("Prüfe auf Updates ...");
    return RepdocM.AppUpdater.tryFetchUpdate()
        .then(function (result) {
        if (!result || !result.success) {
            if (result && result.errorMessage) {
                return new Promise(function (resolve, reject) { return Lc.Controls.ActionFlyout.ActionFlyout.openFlyout({
                    actions: [
                        {
                            caption: "Wiederholen",
                            onTouchClick: function () {
                                document.body.innerHTML = "";
                                location.replace("./index.htm");
                            }
                        }
                    ],
                    cancelAction: {
                        caption: "Ignorieren",
                        onTouchClick: function () { return resolve(null); }
                    },
                    isModal: true,
                    title: result.errorMessage
                }).catch(function (e) { return reject(e); }); });
            }
            return null;
        }
        $(".firstPleaseWait").text("Die App wird aktualisiert ...");
        return RepdocM.AppUpdater.tryInstallUpdate();
    }).then(function (result) {
        if (result && !result.success && result.errorMessage) {
            return new Promise(function (resolve, reject) { return Lc.Controls.ActionFlyout.ActionFlyout.openFlyout({
                actions: [
                    {
                        caption: "Wiederholen",
                        onTouchClick: function () {
                            document.body.innerHTML = "";
                            location.replace("./index.htm");
                        }
                    }
                ],
                cancelAction: {
                    caption: "Ignorieren",
                    onTouchClick: function () { return resolve(new RepdocM.App()); }
                },
                isModal: true,
                title: result.errorMessage
            }).catch(function (e) { return reject(e); }); });
        }
        return new RepdocM.App();
    });
})
    .catch(function (err) {
    if (window.console)
        window.console.error(err);
    document.body.innerHTML = "" + err;
});
